<?php
#------------------------------------------
# Plugin para WDTV Live
# TVE A LA CARTA
#------------------------------------------

function _pluginMain($prmQuery) {
	$queryData = array();
	parse_str($prmQuery, $queryData);
	if ($queryData['ctx'] !='') {
		$items = _pluginCreateVideoItems($queryData['ctx']);
		return $items;
	} else {
		$items = _pluginCreateCategoryList();
		return $items;
	}
}

function _pluginCreateCategoryList() {
	$path = '/conf/alacarta.xml';

	$xmlData = simplexml_load_file($path);
	if($xmlData)
	{
		$programas = $xmlData->programa;
		foreach ($programas as $programa) {
                $cover = strval($programa->caratula);
           		$data = array( 'ctx' => $programa->id );
			$dataString = http_build_query($data, 'pluginvar_');

			                          $retMediaItems[] = array (
							'id' => 'umsp://plugins/tvealacarta?' . $dataString,
							'dc:title' => html_entity_decode($programa->nombre,0,"UTF-8"),
							'upnp:album_art'=>  $cover,
							'upnp:class' => 'object.container',
							'protocolInfo' => '*:*:*:*'
			                           );
		}
	}
	return $retMediaItems;
}

function _pluginCreateVideoItems($ctx) {
	$url = "http://www.rtve.es/alacarta/interno/contenttable.shtml?pbq=1&modl=TOC&locale=es&pageSize=100&ctx=".$ctx[0];
	$html = file_get_contents($url);

	preg_match_all('/titulo-tooltip...........(.*)".*title="(.*?)">/',$html,$todo);

	for ($z = 0; $z < sizeof($todo[1]); $z++) {

		                          $retMediaItems[] = array (
						'id' => 'Video' . $z,
						'parentID' => 'umsp://plugins/tvealacarta',
						'dc:title'      => $todo["2"][$z],
						'upnp:class'    => 'object.item.videoitem',
						'res'           => 'http://127.0.0.1/umsp/plugins/proxy_pydown.php?v=http://www.rtve.es'.$todo["1"][$z],
						'protocolInfo'   => '*:*:*:*',
		                              );
	}
	return $retMediaItems;
}

?>
